<template>
<!-- cards de soporte enlatados -->
  <div>
    <el-card :body-style="{ padding: '0px'}" style="margin-bottom:3rem" class="bg-gray">
      <el-row>
        <el-col :span="8" class="bg-white" style="height:100%; min-height:20rem">
          <div style="margin:6rem 2rem">
            <div class="title-styles" style="margin-bottom: 3rem" v-text="principalTitle"></div>
            <div class= "font-general" style="padding:6px; background-color:#EDC1A1;"><strong v-text="firstText"></strong>
              <span style="margin-left: 2rem"><strong v-text="valuetext"></strong></span>
            </div>
          </div>
        </el-col>
        <el-col :span="16" class="bg-gray">
          <!-- <el-col :span="24" :offset="18" >
            <el-button :type="nameType" style="margin:1rem 0 0" v-text="nameButton" @click="$emit('buttonState')"></el-button>
          </el-col> -->
          <div style="padding:1rem 0 0 2rem">
             <h3 style="margin:1rem 0 2.5rem" v-text="secondMainText"></h3>
            <!--<div style="margin-bottom:0.8rem"><span v-text="secondtext"></span><span v-text="secondvaluetext" style="margin:0 14px"></span></div>
            <div class="fonts-bold-general" style="margin-bottom:2rem"><span v-text="thirdtext"></span><span style="margin:0 7px" v-text="thirdvaluetext"></span>
              <span style="margin-left:6rem" v-text="fourthtext"></span><span style="margin:0 7px" v-text="fourthvaluetext"></span>
            </div> -->
             <!-- es vista de contractsProvider -->
            <div class="scroll-div" style="max-height: 12rem;" v-if="isContractsProvider">
              <el-row style="margin-bottom: 1rem"  v-for="(item, indx) in anArray" :key="indx">
                <el-col :span="2">
                  <p style="padding: 3px 0" class="bg-dark-gray-2 text-white text-center" :class="color">{{indx + 1}}.</p>
                </el-col>
                <el-col :span="21" :offset="1">                  
                  <el-col :span="23">
                    <div @click="goToReport(item._id)" style="padding: 3px 0.8rem; display: flex; justify-content: space-between; cursor:pointer;" class="bg-white">
                      <div style="justify-content: space-between;">
                        {{item[valueTitle]}}
                      </div>   
                      <div style="justify-content: space-between;">
                        <a style="color: #a7a4a4; padding-right: 20px;" v-if="item.typeOfContent">({{item.typeOfContent.substr(0,3).toUpperCase()}})</a>
                        <i class="el-icon-arrow-right" style="color: #ff5000; font-weight: bold;"></i> 
                      </div>                                           
                    </div>
                  </el-col>
                </el-col>
              </el-row>
            </div>
            <!-- es vista de almacen -->
            <!-- <div class="scroll-div" v-else>
              <el-row style="margin-bottom: 1rem"  v-for="(item, indx) in anArray" v-if="item[filtStatus] === 3 || item[filtStatus] === 2" :key="indx">
                <el-col :span="2">
                  <p style="padding: 3px 0" class="bg-gray text-center" :class="color">{{indx + 1}}</p>
                </el-col>
                <el-col :span="21" :offset="1">
                  <el-col :span="23">
                    <p style="padding: 3px 0.8rem;" class="bg-gray" v-text="item[valueTitle]"></p>
                  </el-col>
                </el-col>
              </el-row>   
            </div> -->
          </div>
        </el-col>
      </el-row>
    </el-card>
    <!--____________ Modal para indicar la revisión del material no se ha ingresado ________________-->
    <AppModal :show-dialog.sync="viewDontDataMaterial"  v-if="viewDontDataMaterial"
      :parrafo="'La revisión del material no se ha ingresado'"
      nameClass="dialog-grey" :rutImg="require(`../assets/images/icono-svg.svg`)" 
      sizeImg="80%"  
      >
    </AppModal>
  </div>  
</template>

<script>
import { HTTP } from '../main.js'
import AppModal from '@/components/AppModal.vue'

  export default {
    name: 'app-cards-contracts-provider',
    components: {
      AppModal
    },
    props: {
      anArray: Array,
      color:String,
      filtStatus:String,
      firstText: String,
      fourthtext:String,
      fourthvaluetext:Number,
      nameButton:String,
      nameType:String,
      principalTitle: String,
      secondMainText: String,
      secondtext: String,
      secondvaluetext: Number,
      thirdtext:String,
      thirdvaluetext: [String, Number],
      valuetext: [String, Number],
      valueTitle: String,
      codMaterial: String,

    //   isReception: {
    //     type: Boolean,
    //     default: false,
    //   },
      isContractsProvider: {
        type: Boolean,
        default: false,
      },
    },
    data() {
      return {
        material: {},
        viewDontDataMaterial: false
      }
    },
    created() {
    },
    methods: {
      goToReport(itemId) {
        HTTP.get('materials/'+ itemId)
        .then(res => {
          this.material = res.data.material
          if ( this.material.reviewObj !== undefined ) {
            this.$localStorage.set('selectedMaterial', JSON.stringify(this.material))
            if ( this.material.numChapters.length >  0) {
              this.$router.push({ name: "revNovelDoc", params: { isContractsProvider: true } })                
            }
            else {
              this.$router.push({ name: "report", params: { isContractsProvider: true } })
            }
          }
          else {
            this.viewDontDataMaterial = true
          }
        })
        .catch(err => console.log(err))
      }    
    }
  }
</script>
